Subject: Re: [PATCH iproute2] testsuite: ss: Fix spacing in expected output for ssfilter.t

From: Stefano Brivio <[email-masked]>
Date: Sun, 11 Nov 2018 12:50:39 +0100

Hi Phil,

On Sat, 10 Nov 2018 22:48:44 +0100
Phil Sutter <[email-masked]> wrote:

> On Sat, Nov 10, 2018 at 10:21:59AM +0100, Stefano Brivio wrote:
>
> > @@ -12,37 +12,37 @@ export TCPDIAG_FILE="$(dirname $0)/ss1.dump"
> >  ts_log "[Testing ssfilter]"
> >  
> >  ts_ss "$0" "Match dport = 22" -Htna dport = 22
> > -test_on "ESTAB    0           0                 10.0.0.1:36266           10.0.0.1:22"
> > +test_on "ESTAB     0           0                10.0.0.1:36266           10.0.0.1:22"  
> 
> How about using a regular expression ('test_on' calls grep with '-E')?
> E.g. this instead of the above:
> 
> | test_on "ESTAB *0 *0 *10.0.0.1:36266 *10.0.0.1:22"

I also thought about something similar (perhaps uglier: piping the
output through tr -s ' ' in ts_ss()).

But then I thought we might like to use this test to also check that we
don't accidentally modify spacing, so I'd rather leave it as it is,
with this patch on top.

-- 
Stefano